SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

CREATE SCHEMA IF NOT EXISTS `SuperstitiousSid` ;
USE `SuperstitiousSid` ;

-- -----------------------------------------------------
-- Table `SuperstitiousSid`.`Trades`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `SuperstitiousSid`.`Trades` (
  `idTrade` INT NOT NULL AUTO_INCREMENT ,
  `Broker` VARCHAR(32) NOT NULL ,
  `AccountNo` INT NOT NULL ,
  `MagicNo` INT NOT NULL ,
  `Strategy` VARCHAR(32) NOT NULL ,
  `Instrument` VARCHAR(12) NOT NULL ,
  `OrderNo` INT NOT NULL ,
  `Size` FLOAT NOT NULL ,
  `Direction` VARCHAR(4) NOT NULL ,
  `FillPrice` DECIMAL(11,5) NULL ,
  `FillTime` DATETIME NULL ,
  `ClosePrice` DECIMAL(11,5) NULL ,
  `CloseTime` DATETIME NULL ,
  `Profit` DECIMAL(9,2) NULL ,
  `CurrentEquity` DECIMAL(12,2) NULL ,
  PRIMARY KEY (`idTrade`) ,
  UNIQUE INDEX `idTrade_UNIQUE` (`idTrade` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `SuperstitiousSid`.`MoonPhases`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `SuperstitiousSid`.`MoonPhases` (
  `idPhase` INT NOT NULL AUTO_INCREMENT ,
  `PhaseType` VARCHAR(1) NOT NULL ,
  `PhaseDate` DATETIME NOT NULL ,
  PRIMARY KEY (`idPhase`) ,
  UNIQUE INDEX `idPhase_UNIQUE` (`idPhase` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `SuperstitiousSid`.`LuckyNumbers`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `SuperstitiousSid`.`LuckyNumbers` (
  `Number` INT NOT NULL ,
  `Rank` INT NOT NULL DEFAULT 0 ,
  `LastTime` DATETIME NOT NULL ,
  PRIMARY KEY (`Number`) ,
  UNIQUE INDEX `idLuckyNumbers_UNIQUE` (`Number` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `SuperstitiousSid`.`Summary`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `SuperstitiousSid`.`Summary` (
  `OriginalEquity` DECIMAL(12,2) NOT NULL ,
  `CurrentEquity` DECIMAL(12,2) NOT NULL ,
  `EquityChange` DECIMAL(12,2) NOT NULL DEFAULT 0 ,
  `PercentChange` DECIMAL(12,2) NOT NULL DEFAULT 0 ,
  `LuckyNumber` INT NOT NULL DEFAULT -1 ,
  `UnluckyNumber` INT NOT NULL DEFAULT -1 ,
  `LuckyMoon` INT NOT NULL DEFAULT -1 ,
  `UnluckyMoon` INT NOT NULL DEFAULT -1 ,
  `DaysLeft` INT NULL DEFAULT 364 ,
  `HoursLeft` INT NULL DEFAULT 14 )
ENGINE = InnoDB;



SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
